<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/TrackerHitObj.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerHitObj.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_hit_obj_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_hit_obj_8h.html">eicd/TrackerHitObj.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_obj.html#ad049836a94ca124b523fec55a0d37705">    6</a></span>&#160;<a class="code" href="classeic_1_1_tracker_hit_obj.html#ad049836a94ca124b523fec55a0d37705">TrackerHitObj::TrackerHitObj</a>() :</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;  ObjBase{{podio::ObjectID::untracked, podio::ObjectID::untracked}, 0},</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit_obj.html#aa97b3f98beff2a16308d56de69aa3c18">data</a>()</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;{  }</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_obj.html#a5f3479ada195288c42df3e8dbdbe33cc">   11</a></span>&#160;<a class="code" href="classeic_1_1_tracker_hit_obj.html#ad049836a94ca124b523fec55a0d37705">TrackerHitObj::TrackerHitObj</a>(<span class="keyword">const</span> podio::ObjectID <span class="keywordtype">id</span>, <a class="code" href="classeic_1_1_tracker_hit_data.html">TrackerHitData</a> <a class="code" href="classeic_1_1_tracker_hit_obj.html#aa97b3f98beff2a16308d56de69aa3c18">data</a>) :</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;  ObjBase{id, 0}, <a class="code" href="classeic_1_1_tracker_hit_obj.html#aa97b3f98beff2a16308d56de69aa3c18">data</a>(<a class="code" href="classeic_1_1_tracker_hit_obj.html#aa97b3f98beff2a16308d56de69aa3c18">data</a>)</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;{  }</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_obj.html#a03fffd9847da19fdde4b0e4ef0889094">   15</a></span>&#160;<a class="code" href="classeic_1_1_tracker_hit_obj.html#ad049836a94ca124b523fec55a0d37705">TrackerHitObj::TrackerHitObj</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a>&amp; other) :</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  ObjBase{{podio::ObjectID::untracked, podio::ObjectID::untracked}, 0},</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit_obj.html#aa97b3f98beff2a16308d56de69aa3c18">data</a>(other.data)</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_obj.html#ae62fdcdeb7e183b7a0e19abeae7b91ed">   21</a></span>&#160;<a class="code" href="classeic_1_1_tracker_hit_obj.html#ae62fdcdeb7e183b7a0e19abeae7b91ed">TrackerHitObj::~TrackerHitObj</a>() {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="ttc" id="classeic_1_1_tracker_hit_data_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html">eic::TrackerHitData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00015">TrackerHitData.h:15</a></div></div>
<div class="ttc" id="_tracker_hit_obj_8h_html"><div class="ttname"><a href="_tracker_hit_obj_8h.html">TrackerHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_obj_html_ae62fdcdeb7e183b7a0e19abeae7b91ed"><div class="ttname"><a href="classeic_1_1_tracker_hit_obj.html#ae62fdcdeb7e183b7a0e19abeae7b91ed">eic::TrackerHitObj::~TrackerHitObj</a></div><div class="ttdeci">virtual ~TrackerHitObj()</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_obj_8cc_source.html#l00021">TrackerHitObj.cc:21</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_obj_html_ad049836a94ca124b523fec55a0d37705"><div class="ttname"><a href="classeic_1_1_tracker_hit_obj.html#ad049836a94ca124b523fec55a0d37705">eic::TrackerHitObj::TrackerHitObj</a></div><div class="ttdeci">TrackerHitObj()</div><div class="ttdoc">constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_obj_8cc_source.html#l00006">TrackerHitObj.cc:6</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_obj.html">eic::TrackerHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_obj_8h_source.html#l00018">TrackerHitObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_obj_html_aa97b3f98beff2a16308d56de69aa3c18"><div class="ttname"><a href="classeic_1_1_tracker_hit_obj.html#aa97b3f98beff2a16308d56de69aa3c18">eic::TrackerHitObj::data</a></div><div class="ttdeci">TrackerHitData data</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_obj_8h_source.html#l00030">TrackerHitObj.h:30</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
